<div className="source-div">
 <p><i>pymusas</i><i>.spacy_api</i><strong>.pos_mapper</strong></p>
 <p><a className="sourcelink" href="https://github.com/UCREL/pymusas/blob/main/pymusas/spacy_api/pos_mapper.py">[SOURCE]</a></p>
</div>
<div></div>

---

spaCy registered functions for loading Part Of Speech (POS) mappings.

<a id="pymusas.spacy_api.pos_mapper.upos_to_usas_core"></a>

### upos\_to\_usas\_core

```python
@spacy.util.registry.misc('pymusas.pos_mapper.UPOS_TO_USAS_COREv1')
def upos_to_usas_core() -> Dict[str, List[str]]
```

`pymusas.pos_mapper.UPOS_TO_USAS_COREv1` is a registered function under the
`@misc` function register. It returns the
[`pymusas.pos_mapper.UPOS_TO_USAS_CORE`](/pymusas/api/pos_mapper/#upos_to_usas_core) mapping.

<h4 id="upos_to_usas_core.returns">Returns<a className="headerlink" href="#upos_to_usas_core.returns" title="Permanent link">&para;</a></h4>


- `Dict[str, List[str]]` <br/>

<a id="pymusas.spacy_api.pos_mapper.usas_core_to_upos"></a>

### usas\_core\_to\_upos

```python
@spacy.util.registry.misc('pymusas.pos_mapper.USAS_CORE_TO_UPOSv1')
def usas_core_to_upos() -> Dict[str, List[str]]
```

`pymusas.pos_mapper.USAS_CORE_TO_UPOSv1` is a registered function under the
`@misc` function register. It returns the
[`pymusas.pos_mapper.USAS_CORE_TO_UPOS`](/pymusas/api/pos_mapper/#usas_core_to_upos) mapping.

<h4 id="usas_core_to_upos.returns">Returns<a className="headerlink" href="#usas_core_to_upos.returns" title="Permanent link">&para;</a></h4>


- `Dict[str, List[str]]` <br/>

<a id="pymusas.spacy_api.pos_mapper.penn_chinese_treebank_to_usas_core"></a>

### penn\_chinese\_treebank\_to\_usas\_core

```python
@spacy.util.registry.misc('pymusas.pos_mapper.PENN_CHINESE_TREEBANK_TO_USAS_COREv1')
def penn_chinese_treebank_to_usas_core() -> Dict[str, List[str]]
```

`pymusas.pos_mapper.PENN_CHINESE_TREEBANK_TO_USAS_COREv1` is a registered
function under the `@misc` function register. It returns the
[`pymusas.pos_mapper.PENN_CHINESE_TREEBANK_TO_USAS_CORE`](/pymusas/api/pos_mapper/#penn_chinese_treebank_to_usas_core) mapping.

<h4 id="penn_chinese_treebank_to_usas_core.returns">Returns<a className="headerlink" href="#penn_chinese_treebank_to_usas_core.returns" title="Permanent link">&para;</a></h4>


- `Dict[str, List[str]]` <br/>

<a id="pymusas.spacy_api.pos_mapper.usas_core_to_penn_chinese_treebank"></a>

### usas\_core\_to\_penn\_chinese\_treebank

```python
@spacy.util.registry.misc('pymusas.pos_mapper.USAS_CORE_TO_PENN_CHINESE_TREEBANKv1')
def usas_core_to_penn_chinese_treebank() -> Dict[str, List[str]]
```

`pymusas.pos_mapper.USAS_CORE_TO_PENN_CHINESE_TREEBANKv1` is a registered
function under the `@misc` function register. It returns the
[`pymusas.pos_mapper.USAS_CORE_TO_PENN_CHINESE_TREEBANK`](/pymusas/api/pos_mapper/#usas_core_to_penn_chinese_treebank) mapping.

<h4 id="usas_core_to_penn_chinese_treebank.returns">Returns<a className="headerlink" href="#usas_core_to_penn_chinese_treebank.returns" title="Permanent link">&para;</a></h4>


- `Dict[str, List[str]]` <br/>

<a id="pymusas.spacy_api.pos_mapper.basic_corcencc_to_usas_core"></a>

### basic\_corcencc\_to\_usas\_core

```python
@spacy.util.registry.misc('pymusas.pos_mapper.BASIC_CORCENCC_TO_USAS_COREv1')
def basic_corcencc_to_usas_core() -> Dict[str, List[str]]
```

`pymusas.pos_mapper.BASIC_CORCENCC_TO_USAS_COREv1` is a registered
function under the `@misc` function register. It returns the
[`pymusas.pos_mapper.BASIC_CORCENCC_TO_USAS_CORE`](/pymusas/api/pos_mapper/#basic_corcencc_to_usas_core) mapping.

<h4 id="basic_corcencc_to_usas_core.returns">Returns<a className="headerlink" href="#basic_corcencc_to_usas_core.returns" title="Permanent link">&para;</a></h4>


- `Dict[str, List[str]]` <br/>

<a id="pymusas.spacy_api.pos_mapper.usas_core_to_basic_corcencc"></a>

### usas\_core\_to\_basic\_corcencc

```python
@spacy.util.registry.misc('pymusas.pos_mapper.USAS_CORE_TO_BASIC_CORCENCCv1')
def usas_core_to_basic_corcencc() -> Dict[str, List[str]]
```

`pymusas.pos_mapper.USAS_CORE_TO_BASIC_CORCENCCv1` is a registered
function under the `@misc` function register. It returns the
[`pymusas.pos_mapper.USAS_CORE_TO_BASIC_CORCENCC`](/pymusas/api/pos_mapper/#usas_core_to_basic_corcencc) mapping.

<h4 id="usas_core_to_basic_corcencc.returns">Returns<a className="headerlink" href="#usas_core_to_basic_corcencc.returns" title="Permanent link">&para;</a></h4>


- `Dict[str, List[str]]` <br/>

